<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<c:set var="total_classroom_students">${ fn:length(classroom_data.students) }</c:set>

<script type="text/javascript">
	function unTeacher()
	{
		if (confirm('<bean:message key="classroom.unassign.teacher.prompt" bundle="Admins"/>'))
		{
			window.location.href = 'classroom.do?cmd=unassignTeacher&id=${ classroom_data.id }';	
		}
	}
	function unStudent(id)
	{
		if (confirm('<bean:message key="classroom.unassign.student.prompt" bundle="Admins"/>'))
		{
			window.location.href = 'classroom.do?cmd=unassignStudent&id=${ classroom_data.id }&student=' + id;	
		}
	}
	function del(id)
	{
		if (confirm('<bean:message key="classroom.delete.prompt" bundle="Admins"/>'))
		{
			window.location.href = 'classroom.do?cmd=deleteClassroom&id=' + id;
		}
	}
</script>

<c:choose>
	<c:when test="${ operation_ok eq 'unassignTeacher' }"><div class="ok-form"><bean:message key="classroom.unassign.teacher.ok" bundle="Admins"/></div></c:when>
	<c:when test="${ operation_ok eq 'unassignStudent' }"><div class="ok-form"><bean:message key="classroom.unassign.student.ok" bundle="Admins"/></div></c:when>
</c:choose>

<div class="widget">
	<div class="title">
		<div class="links">
			<a href="javascript: del(${ classroom_data.id })" class="delete_classroom"><bean:message key="delete" bundle="Common"/></a> | 
			<bean:message key="common.help.link" bundle="Users"/>
		</div>
		<h1><bean:message key="classroom.data.title" bundle="Admins"/></h1>
	</div>
	<div class="content">
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
		<tr>
			<td>
			<table border="0" width="100%" cellspacing="0" cellpadding="5">
			<tr>
				<td class="subtitle left" width="150"><bean:message key="classroom.data.table.1.row.1.td" bundle="Admins"/>:</td>
				<td class="left"><a href="curriculum.do?cmd=getPlan&id=${ classroom_data.curriculumId }"><c:out value="${ classroom_data.curriculumName }" escapeXml="false"/></a></td>
			</tr>
			<tr>
				<td class="subtitle left" width="150"><bean:message key="classroom.data.table.1.row.2.td" bundle="Admins"/>:</td>
				<td class="left"><a href="subject.do?cmd=getSubject&id=${ classroom_data.subjectId }"><c:out value="${ classroom_data.subjectName }" escapeXml="false"/></a></td>
			</tr>
			<tr>
				<td class="subtitle left" width="150"><bean:message key="classroom.data.table.1.row.3.td" bundle="Admins"/>:</td>
				<td class="left"><b>${ classroom_data.course }</b></td>
			</tr>
			<tr>
				<td class="subtitle left" width="150"><bean:message key="classroom.data.table.1.row.4.td" bundle="Admins"/>:</td>
				<td class="left"><b>${ classroom_data.letter }</b></td>
			</tr>
			<tr>
				<td class="subtitle left" width="150"><bean:message key="classroom.data.table.1.row.5.td" bundle="Admins"/></td>
				<td class="left" style="border-bottom: 0;">
					<c:choose>
						<c:when test="${ total_teachers eq 0 }">
							<div class="errors-form" style="margin-bottom: 0 !important;"><bean:message key="classroom.data.no.teachers" bundle="Admins"/></div>
						</c:when>
						<c:when test="${ classroom_data.teacher eq null }">
							<div class="ok-form" style="margin-bottom: 0 !important;">
								<bean:message key="classroom.data.no.teacher.assign.text.1" bundle="Admins"/>
								<a href="classroom.do?cmd=assignTeacher&id=${ classroom_data.id }"><bean:message key="classroom.data.no.teacher.assign.text.2" bundle="Admins"/></a>
							</div>
						</c:when>
						<c:otherwise>
							<a href="account.do?cmd=getAccount&id=${ classroom_data.teacher.id }"><c:out value="${ classroom_data.teacher.name }" escapeXml="false"/> <c:out value="${ classroom_data.teacher.surname }" escapeXml="false"/></a>
							<input type="button" class="button" value="<bean:message key="classroom.data.teacher.change.link" bundle="Admins"/>" onclick="window.location.href = 'classroom.do?cmd=assignTeacher&id=${ classroom_data.id }';"/>
							<input type="button" class="button" value="<bean:message key="classroom.data.unassign.teacher.link" bundle="Admins"/>" onclick="unTeacher();"/>
						</c:otherwise>
					</c:choose>		
				</td>
			</tr>
			</table>
			</td>
		</tr>
		<tr>
			<td>
				<c:choose>
					<c:when test="${ total_students eq 0 }">
						<table border="0" width="100%" cellspacing="0" cellpadding="5">
						<tr>
							<th class="left"><bean:message key="classroom.data.table.2.row.1.td" bundle="Admins"/></th>
							<th class="right"><bean:message key="total" bundle="Common"/>: ${ total_classroom_students }</th>
						</tr>
						<tr>
							<td colspan="2"><div class="errors-form" style="margin-bottom: 0 !important; text-align: left;"><bean:message key="classroom.data.no.students" bundle="Admins"/></div></td>
						</tr>
						</table>
					</c:when>
					<c:when test="${ total_classroom_students ne 0 }">
						<table border="0" width="100%" cellspacing="0" cellpadding="5">
						<tr>
							<th class="left" colspan="2"><bean:message key="classroom.data.table.2.row.1.td" bundle="Admins"/></th>
							<th class="right"><bean:message key="total" bundle="Common"/>: ${ total_classroom_students }</th>
						</tr>
						<tr>
							<td class="subtitle br"><bean:message key="classroom.data.table.2.row.2.td.1" bundle="Admins"/></td>
							<td class="subtitle br"><bean:message key="classroom.data.table.2.row.2.td.2" bundle="Admins"/></td>
							<td class="subtitle"><bean:message key="classroom.data.table.2.row.2.td.3" bundle="Admins"/></td>
						</tr>
						<c:forEach items="${ classroom_data.students }" var="student">
							<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
								<td class="br"><a href="account.do?cmd=getAccount&id=${ student.id }"><c:out value="${ student.surname }" escapeXml="false"/></a></td>
								<td class="br"><a href="account.do?cmd=getAccount&id=${ student.id }"><c:out value="${ student.name }" escapeXml="false"/></a></td>
								<td><a href="javascript: unStudent(${ student.id })" class="del"><bean:message key="classroom.data.unassing.student.link" bundle="Admins"/></a></td>
							</tr>
						</c:forEach>
						<tr>
							<td class="subtitle left" colspan="3"><a href="classroom.do?cmd=assignStudent&id=${classroom_data.id }" class="add"><bean:message key="classroom.data.assign.student.link" bundle="Admins"/></a></td>
						</tr>
						</table>
					</c:when>
					<c:otherwise>
						<table border="0" width="100%" cellspacing="0" cellpadding="5">
						<tr>
							<th class="left"><bean:message key="classroom.data.table.2.row.1.td" bundle="Admins"/></th>
							<th class="right"><bean:message key="total" bundle="Common"/>: ${ total_classroom_students }</th>
						</tr>
						<tr>
							<td colspan="5">
								<div class="ok-form" style="margin-bottom: 0 !important; text-align: left;">
									<bean:message key="classroom.data.no.students.assign.text.1" bundle="Admins"/>
									<a href="classroom.do?cmd=assignStudent&id=${ classroom_data.id }"><bean:message key="classroom.data.no.students.assign.text.2" bundle="Admins"/></a>
								</div>
							</td>
						</tr>
						</table>
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
		</table>
	</div>
	<jsp:include page="/WEB-INF/common/inc/Data-Info.inc.jsp"/>
</div>