<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div class="hform">
	<h1><bean:message key="classroom.create.title" bundle="Admins"/></h1>
	<c:if test="${ error_form ne null }">
		<div class="errors-form"><c:out value="${ error_form }" escapeXml="false"/></div>
	</c:if>
	<c:choose>
		<c:when test="${ operation_ok eq true }">
			<div class="ok-form">
				<bean:message key="classroom.create.ok.text.1" bundle="Admins"/> <b>Id = ${ classroom_data.id }</b><br/>
				<bean:message key="classroom.create.ok.text.2" bundle="Admins"/>
			</div>
		</c:when>
		<c:otherwise>
			<c:choose>
				<%-- PASO 1 :: SELECCIONAR UN PLAN DE ESTUDIOS --%>
				<c:when test="${ step eq 'step_1' }">
					<c:set var="total_curriculum">${ fn:length(curriculum_list) }</c:set>
					<c:choose>
						<c:when test="${ total_curriculum eq 0 }">
							<div class="errors-form">
								<bean:message key="classroom.form.no.curriculum.text.1" bundle="Admins"/>.<br/>
								<bean:message key="classroom.form.no.curriculum.text.2" bundle="Admins"/>
							</div>
						</c:when>
						<c:otherwise>
							<c:set var="submit" scope="request">classroom.create.next</c:set>
							<html:form action="/classroom">
								<jsp:include page="/WEB-INF/pages/users/admin/common/ClassroomForm.jsp"/>		
								<html:hidden property="cmd" value="createClassroom"/>
								<html:hidden property="step" value="step_2"/>
							</html:form>
						</c:otherwise>
					</c:choose>
				</c:when>
				<%-- PASO 2 :: SELECCIONAR UNA ASIGNATURA --%>
				<c:when test="${ step eq 'step_2' }">
					<c:set var="total_subjects">${ fn:length(curriculum_data.subjects) }</c:set>
					<c:choose>
						<c:when test="${ total_subjects eq 0 }">
							<div class="errors-form">
								<bean:message key="classroom.form.no.subject.assign.text.1" bundle="Admins"/><br/>
								<bean:message key="classroom.form.no.subject.assign.text.2" bundle="Admins"/>
								<a href="curriculum.do?cmd=addSubject&id=${ curriculum_data.id }"><bean:message key="classroom.form.no.subject.assign.text.3" bundle="Admins"/></a> |
								<bean:message key="classroom.form.no.subject.assign.text.4" bundle="Admins"/>
							</div>
						</c:when>
						<c:otherwise>
							<c:set var="submit" scope="request">classroom.create.submit</c:set>
							<html:form action="/classroom">
								<jsp:include page="/WEB-INF/pages/users/admin/common/ClassroomForm.jsp"/>		
								<html:hidden property="cmd" value="createClassroom"/>
								<html:hidden property="step" value="step_3"/>
								<html:hidden property="curriculumId"/>
							</html:form>
							<script type="text/javascript">
								<c:if test="${ AFClassroom.subjectId ne '_nil_'}">
									$('#subjectId').attr('value', '${ AFClassroom.subjectId }');
								</c:if>
								<c:if test="${ AFClassroom.letter ne '_nil_'}">
									$('#letter').attr('value', '${ AFClassroom.letter }');
								</c:if>
							</script>
						</c:otherwise>
					</c:choose>
				</c:when>
			</c:choose>
		</c:otherwise>
	</c:choose>
</div>