<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<c:set var="total_subjects">${ fn:length(curriculum_data.subjects) }</c:set>

<script type="text/javascript">
	function del(id)
	{
		if (confirm('<bean:message key="curriculum.delete.prompt" bundle="Admins"/>'))
		{
			window.location.href = 'curriculum.do?cmd=deletePlan&id=' + id;
		}
	}
	function remove(idCurriculum, idSubject)
	{
		if (confirm('<bean:message key="curriculum.remove.prompt" bundle="Admins"/>'))
		{
			window.location.href = 'curriculum.do?cmd=removeSubject&idCurriculum=' + idCurriculum + '&idSubject=' + idSubject;
		}	
	}
</script>

<c:choose>
	<c:when test="${ operation_ok eq 'removeSubject' }"><div class="ok-form"><bean:message key="curriculum.remove.subject.ok" bundle="Admins"/>.</div></c:when>
</c:choose>

<div class="widget">
	<div class="title">
		<div class="links">
			<a href="curriculum.do?cmd=modifyPlan&id=${ curriculum_data.id }" class="modify_book"><bean:message key="modify" bundle="Common"/></a> |
			<a href="javascript: del(${ curriculum_data.id })" class="delete_book"><bean:message key="delete" bundle="Common"/></a> | 
			<bean:message key="common.help.link" bundle="Users"/>
		</div>
		<h1>${ curriculum_data.name }</h1>
	</div>
	<div class="content">
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
		<tr>
			<td>
			<table border="0" width="100%" cellspacing="0" cellpadding="5">
			<tr>
				<td class="subtitle left" width="100"><bean:message key="curriculum.data.table.1.row.1.th" bundle="Admins"/>:</td>
				<td class="left">${ curriculum_data.descriptionHTML }</td>
			</tr>
			<tr>
				<td class="subtitle left" width="100"><bean:message key="curriculum.data.table.1.row.2.th" bundle="Admins"/>:</td>
				<td class="left" style="border-bottom: 0;"><fmt:formatDate value="${ curriculum_data.created }" pattern="dd/MM/yyyy HH:mm:ss"/></td>
			</tr>
			</table>
			</td>
		</tr>
		<tr>
			<td>
			<c:choose>
				<c:when test="${ total_subjects eq 0 }">
					<table border="0" width="100%" cellspacing="0" cellpadding="5">
					<tr>
						<th class="left"><bean:message key="curriculum.data.subjects.tr.1.th.1" bundle="Admins"/></th>
						<th class="right"><bean:message key="total" bundle="Common"/>: 0</th>
					</tr>
					</table>
					<div class="errors-form" style="margin-top: 10px; text-align: left !important;"><bean:message key="curriculum.data.subjects.no.data" bundle="Admins"/></div>
					<table border="0" width="100%" cellspacing="0" cellpadding="5">
					<tr>
						<td class="subtitle left"><a href="curriculum.do?cmd=addSubject&id=${ curriculum_data.id }" class="add"><bean:message key="curriculum.data.subjects.assign.subject" bundle="Admins"/></a></td>
					</tr>
					</table>
				</c:when>
				<c:otherwise>
					<table border="0" width="100%" cellspacing="0" cellpadding="5">
					<tr>
						<th class="left" colspan="4"><bean:message key="curriculum.data.subjects.tr.1.th.1" bundle="Admins"/></th>
						<th class="right"><bean:message key="total" bundle="Common"/>: ${ total_subjects }</th>
					</tr>
					<tr>
						<td class="subtitle left br"><bean:message key="curriculum.data.subjects.tr.2.td.1" bundle="Admins"/></td>
						<td class="subtitle br"><bean:message key="curriculum.data.subjects.tr.2.td.2" bundle="Admins"/></td>
						<td class="subtitle br"><bean:message key="curriculum.data.subjects.tr.2.td.3" bundle="Admins"/></td>
						<td class="subtitle br"><bean:message key="curriculum.data.subjects.tr.2.td.4" bundle="Admins"/></td>
						<td class="subtitle"><bean:message key="curriculum.data.subjects.tr.2.td.5" bundle="Admins"/></td>
					</tr>
					<c:forEach items="${ curriculum_data.subjects }" var="subject">
						<c:set var="subject_type">subject.type.${ subject.type }</c:set>
						<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
							<td class="left br"><nobr><a href="subject.do?cmd=getSubject&id=${ subject.id }"><c:out value="${ subject.name }" escapeXml="false"/></a></nobr></td>
							<td class="br">${ subject.code }</td>
							<td class="br">${ subject.credits }</td>
							<td class="br"><bean:message name="subject_type" bundle="Common"/></td>
							<td><a href="javascript: remove(${ curriculum_data.id }, ${ subject.id })" class="del"><bean:message key="curriculum.data.subjects.unassign.subject" bundle="Admins"/></a></td>
						</tr>
					</c:forEach>
					<tr>
						<td colspan="5" class="subtitle left"><a href="curriculum.do?cmd=addSubject&id=${ curriculum_data.id }" class="add"><bean:message key="curriculum.data.subjects.assign.subject" bundle="Admins"/></a></td>
					</tr>
					</table>
				</c:otherwise>	
			</c:choose>
			</td>
		</tr>
		</table>
	</div>
	<jsp:include page="/WEB-INF/common/inc/Data-Info.inc.jsp"/>
</div>