<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<script type="text/javascript">
	function del(id)
	{
		if (confirm('<bean:message key="accounts.delete.prompt" bundle="Admins"/>'))
		{
			window.location.href = 'account.do?cmd=deleteAccount&id=' + id;
		}
	}
	function change(id)
	{
		if (confirm('<bean:message key="accounts.change.state.prompt" bundle="Admins"/>'))
		{
			window.location.href = 'account.do?cmd=changeState&id=' + id;
		}
	}
</script>

<c:choose>
	<c:when test="${ operation_ok == 'changeState' }"><div class="ok-form"><bean:message key="accounts.change.state.ok" bundle="Admins"/> <b>id = ${ user.id }</b>.</div></c:when>
	<c:when test="${ operation_ok == 'deleteAccount' }"><div class="ok-form"><bean:message key="accounts.delete.ok" bundle="Admins"/> <b>id = ${ user_id }</b>.</div></c:when>
</c:choose>
<c:if test="${ error_form != null }">
	<div class="errors-form"><c:out value="${ error_form }" escapeXml="false"/></div>	
</c:if>

<c:set var="total_user">${ fn:length(user_list) }</c:set>
<div class="widget">
	<div class="title">
		<div class="links">
			<a href="index.jsp?sec=admin&page=formAccount" class="add_user"><bean:message key="admin.accounts.new_account" bundle="Users"/></a> | 
			<bean:message key="common.help.link" bundle="Users"/>
		</div>
		<h1><bean:message key="admin.accounts.title" bundle="Users"/></h1>
	</div>
	<div class="content">
		<table border="0" width="100%" cellspacing="0" cellpadding="5" id="data">
		<tr>
			<th colspan="5" class="left"><bean:message key="admin.accounts.table.row.1.th.1" bundle="Users"/></th>
			<th colspan="4" class="right"><bean:message key="admin.accounts.table.row.1.th.2" bundle="Users"/>: <c:out value="${ fn:length(user_list) }"/></th>
		</tr>
		<tr>
			<td class="subtitle left"><bean:message key="admin.accounts.table.row.2.th.1" bundle="Users"/></td>
			<td class="subtitle left br"><bean:message key="admin.accounts.table.row.2.th.2" bundle="Users"/></td>
			<td class="subtitle"><bean:message key="admin.accounts.table.row.2.th.3" bundle="Users"/></td>
			<td class="subtitle"><bean:message key="admin.accounts.table.row.2.th.4" bundle="Users"/></td>
			<td class="subtitle br"><bean:message key="admin.accounts.table.row.2.th.5" bundle="Users"/></td>
			<td class="subtitle"><bean:message key="admin.accounts.table.row.2.th.6" bundle="Users"/></td>
			<td class="subtitle"><bean:message key="admin.accounts.table.row.2.th.7" bundle="Users"/></td>
			<td class="subtitle br"><bean:message key="admin.accounts.table.row.2.th.8" bundle="Users"/></td>
			<td class="subtitle"><bean:message key="admin.accounts.table.row.2.th.9" bundle="Users"/></td>
		</tr>
		<c:forEach var="user" items="${ user_list }">
			<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
				<td class="left"><a href="account.do?cmd=getAccount&id=${ user.id}">${ user.login }</a></td>
				<td class="left br"><a href="mailto:${ user.email }" class="email">${ user.email }</a></td>
				<td style="padding-left: 10px; padding-top:7px;" class="left">
					<c:choose>
						<c:when test="${ user.active == false  }">
							<a href="javascript: change(${ user.id })" class="unlock"><bean:message key="admin.accounts.activate" bundle="Users"/></a>
						</c:when>
						<c:otherwise>
							<a href="javascript: change(${ user.id })" class="lock"><bean:message key="admin.accounts.block" bundle="Users"/></a>
						</c:otherwise>
					</c:choose>
				</td>
				<td><fmt:formatDate value="${ user.created }" pattern="dd-MM-yyyy" /></td>
				<td class="br"><fmt:formatDate value="${ user.lastLogin }" pattern="dd-MM-yyyy HH:mm:ss" /></td>
				<td style="padding-top: 7px;">
					<c:choose>
						<c:when test="${ user.admin == true }">
							<img src="<c:url value="res/img/web/icon_check_small.png"/>" alt="X" width="16" height="16"/>
						</c:when>
						<c:otherwise>
							<img src="<c:url value="res/img/web/icon_error_small.png"/>" alt="" width="16" height="16"/>
						</c:otherwise>
					</c:choose>
				</td>
				<td style="padding-top: 7px;">
					<c:choose>
						<c:when test="${ user.teacher == true }">
							<img src="<c:url value="res/img/web/icon_check_small.png"/>" alt="X" width="16" height="16"/>
						</c:when>
						<c:otherwise>
							<img src="<c:url value="res/img/web/icon_error_small.png"/>" alt="" width="16" height="16"/>
						</c:otherwise>
					</c:choose>
				</td>
				<td class="br" style="padding-top: 7px;">
					<c:choose>
						<c:when test="${ user.student == true }">
							<img src="<c:url value="res/img/web/icon_check_small.png"/>" alt="X" width="16" height="16"/>
						</c:when>
						<c:otherwise>
							<img src="<c:url value="res/img/web/icon_error_small.png"/>" alt="" width="16" height="16"/>
						</c:otherwise>
					</c:choose>
				</td>
				<td style="padding-top: 7px;">
					<nobr><a href="account.do?cmd=getAccount&id=${ user.id}" class="modify_user"><bean:message key="modify" bundle="Common"/></a> | 
					<a href="javascript: del(${ user.id })" class="delete_user"><bean:message key="delete" bundle="Common"/></a></nobr>
				</td>
			</tr>
		</c:forEach>
		</table>
	</div>
	<jsp:include page="/WEB-INF/common/inc/Data-Info.inc.jsp"/>
	<script type="text/javascript">
		$('#data tr:last').children('td').css('border-bottom','0');
	</script>
</div>