<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<div class="help"><bean:message key="common.help.link" bundle="Users"/></div>
<h2><b><bean:message key="classroom.form.title" bundle="Admins"/></b></h2>
<table border="0" width="100%" cellspacing="0" cellpadding="5" style="clear:both;">
<tr>
	<th width="150"><nobr><label for="curriculumId"><bean:message key="classroom.form.curriculum" bundle="Admins"/></label></nobr></th>
	<c:choose>
		<c:when test="${ curriculum_data ne null }">
			<td colspan="2"><b><c:out value="${ curriculum_data.name }" escapeXml="false"/></b></td>
		</c:when>
		<c:otherwise>
			<td>
				<html:select property="curriculumId" styleId="curriculumId">
					<option value="_nil_"><bean:message key="select.default" bundle="Common"/></option>
					<c:forEach items="${ curriculum_list }" var="curriculum">
						<option value="${ curriculum.id }"><c:out value="${ curriculum.name }" escapeXml="false"/></option>
					</c:forEach> 
				</html:select>
				<div class="errors"><html:errors property="CurriculumId" bundle="Common"/></div>
			</td>
			<td width="400" class="explain"><bean:message key="classroom.form.curriculum.explain" bundle="Admins"/></td>
		</c:otherwise>
	</c:choose>
</tr>
<c:if test="${ curriculum_data ne null }">
	<tr>
		<th width="150"><nobr><label for="subjectId"><bean:message key="classroom.form.subject" bundle="Admins"/></label></nobr></th>
		<td>
			<html:select property="subjectId" styleId="subjectId">
				<option value="_nil_"><bean:message key="select.default" bundle="Common"/></option>
				<c:forEach items="${ curriculum_data.subjects }" var="subject">
					<option value="${ subject.id }"><c:out value="${ subject.name }" escapeXml="false"/></option>
				</c:forEach>
			</html:select>
			<div class="errors"><html:errors property="SubjectId" bundle="Common"/></div>
		</td>
		<td width="400" class="explain"><bean:message key="classroom.form.subject.explain" bundle="Admins"/></td>
	</tr>
	<tr>
		<th width="150"><nobr><label for="course"><bean:message key="classroom.form.course" bundle="Admins"/></label></nobr>
		<td>
			<html:text property="course" styleId="course" styleClass="text" style="width: 100px;" size="8" maxlength="4"/>
			<div class="errors"><html:errors property="Course" bundle="Common"/></div>
		</td>
		<td width="400" class="explain"><bean:message key="classroom.form.course.explain" bundle="Admins"/></td>
	</tr>
	<tr>
		<th width="150"><nobr><label for="letter"><bean:message key="classroom.form.letter" bundle="Admins"/></label></nobr></th>
		<td>
			<html:select property="letter" styleId="letter">
				<option value="_nil_"><bean:message key="select.default" bundle="Common"/></option>
				<c:forEach begin="1" end="26" varStatus="count">
					<c:set var="letter_key">letter.${ count.index }</c:set>
					<option value="<bean:message name="letter_key" bundle="Common"/>"><bean:message name="letter_key" bundle="Common"/></option>
				</c:forEach>
			</html:select>
			<div class="errors"><html:errors property="Letter" bundle="Common"/></div>
		</td>
		<td width="400" class="explain"><bean:message key="classroom.form.letter.explain" bundle="Admins"/></td>
	</tr>
</c:if>
<tr>
	<th class="no-bdr" width="150">&nbsp;</th>
	<td class="no-bdr buttons" colspan="2">
		<input type="submit" class="button first" value="<bean:message name="submit" bundle="Admins"/>"/>
		<c:choose>
			<c:when test="${ curriculum_data ne null }">
				<input type="button" class="button" value="<bean:message key="reset" bundle="Common"/>" style="margin-left: 5px;" 
					   onclick="$('#subjectId').attr('value', '_nil_');$('#course').val('');$('#letter').attr('value', '_nil_');$('.errors').hide();"/>
			</c:when>
			<c:otherwise>
				<input type="button" class="button" value="<bean:message key="reset" bundle="Common"/>" style="margin-left: 5px;" 
			   			onclick="$('#curriculumId').attr('value', '_nil_');$('.errors').hide();"/>
			</c:otherwise>
		</c:choose>
	</td>
</tr>
</table>
