<%@ include file="/WEB-INF/common/inc/TagLibs.inc.jsp" %>

<un:useConstants var="TOQuestion" className="edu.uoc.pfc.business.transfers.TOQuestion"/>

<div class="widget">
	<div class="title">
		<div class="links">
			<bean:message key="common.help.link" bundle="Users"/>
		</div>
		<h1><bean:message key="test.review.title" bundle="Students"/></h1>
	</div>
	<div class="content">
	<table border="0" width="100%" cellspacing="0" cellpadding="0">
	<tr>
		<td>
		<table border="0" width="100%" cellspacing="0" cellpadding="5">
		<tr>
			<td class="subtitle left" width="150" style="border-bottom: 0 !important;"><bean:message key="test.review.general.title" bundle="Students"/></td>
			<td class="left"><c:out value="${ test_data.title }" escapeXml="false"/></td>
		</tr>
		<tr>
			<td class="subtitle left" width="150" style="border-bottom: 0 !important;"><bean:message key="test.review.general.introduction" bundle="Students"/></td>
			<td class="left"><c:out value="${ test_data.introductionHTML }" escapeXml="false"/></td>
		</tr>
		</table>
		</td>
	</tr>
	<tr>
		<td>
		<table border="0" width="100%" cellspacing="0" cellpadding="5" id="data">
		<tr>
			<th class="left" width="150"><bean:message key="test.review.questions" bundle="Students"/></th>
			<th class="right"><bean:message key="total" bundle="Common"/>: ${ fn:length(question_list) } </th>
		</tr>
		<c:forEach items="${ question_list }" var="question" varStatus="count">
			<tr>
				<td class="left subtitle" width="150"><bean:message key="test.review.question" bundle="Students"/></td>
				<td class="right subtitle">
					<c:set var="question_type">test.solve.question.${ question.type }</c:set>
					<bean:message key="test.review.type" bundle="Students"/>: <span class="points"><bean:message name="question_type" bundle="Students"/></span>
				</td>
			</tr>
			<tr>
				<td class="left br" width="150"><bean:message key="test.review.statement" bundle="Students"/></td>
				<td><b><c:out value="${ question.statementHTML }" escapeXml="false"/></b></td>
			</tr>
			<c:choose>
				<c:when test="${question.type eq TOQuestion.TYPE_SHORT_ANSWER }">
					<tr>
						<td class="left br" width="150"><bean:message key="test.review.correct.answer" bundle="Students"/></td>
						<td class="left">
							<c:out value="${ question.answer }" escapeXml="false"/>
							<c:if test="${ question.text ne null }"><br/><span class="explain"><c:out value="${ question.textHTML }" escapeXml="false"/></span></c:if>
						</td>
					</tr>
				</c:when>
				<c:when test="${ question.type eq TOQuestion.TYPE_TRUE_OR_FALSE }">
					<tr>
						<td class="left br" width="150"><bean:message key="test.review.correct.answer" bundle="Students"/></td>
						<td class="left">
							<c:choose>
								<c:when test="${ question.value eq true }">
									<bean:message key="true" bundle="Common"/>
									<c:if test="${ question.txtTrue ne null }"><br/><span class="explain"><c:out value="${ question.txtTrueHTML }" escapeXml="false"/></span></c:if>
									<c:if test="${ question.txtFalse ne null }"><span class="error"><c:out value="${ question.txtFalseHTML }" escapeXml="false"/></span></c:if>
								</c:when>
								<c:otherwise>
									<bean:message key="false" bundle="Common"/>
									<c:if test="${ question.txtFalse ne null }"><br/><span class="explain"><c:out value="${ question.txtFalseHTML }" escapeXml="false"/></span></c:if>
									<c:if test="${ question.txtTrue ne null }"><span class="error"><c:out value="${ question.txtTrueHTML }" escapeXml="false"/></span></c:if>
								</c:otherwise>
							</c:choose>
						</td>
					</tr>
				</c:when>
				<c:when test="${ question.type eq TOQuestion.TYPE_NUMERIC }">
					<tr>
						<td class="left br" width="150"><bean:message key="test.review.correct.answer" bundle="Students"/></td>
						<td class="left">
							<c:out value="${ question.value }" escapeXml="false"/>
							<c:if test="${ question.text ne null }"><br/><span class="explain"><c:out value="${ question.textHTML }" escapeXml="false"/></span></c:if>
						</td>
					</tr>
					<tr>
						<td class="left br" width="150"><bean:message key="test.review.NU.error" bundle="Students"/></td>
						<td class="left">${ question.error }</td>
					</tr>
				</c:when>
				<c:when test="${ question.type eq TOQuestion.TYPE_MULTIPLE_CHOICES }">
					<tr>
						<td class="left br" width="150"><bean:message key="test.review.MC.correct" bundle="Students"/></td>
						<td class="left">
							<ul style="margin-bottom: 0 !important;">
							<c:forEach items="${ question.answers }" var="answer">
								<c:if test="${ answer.correct eq true }">
									<li>
										<c:out value="${ answer.answer }" escapeXml="false"/>
										<c:if test="${ answer.text ne null }"><br/><span class="explain"><c:out value="${ answer.textHTML }" escapeXml="false"/></span></c:if>
									</li>
								</c:if>
							</c:forEach>
							</ul>
						</td>
					</tr>
					<tr>
						<td class="left br" width="150"><bean:message key="test.review.MC.incorrect" bundle="Students"/></td>
						<td class="left">
							<ul style="margin-bottom: 0 !important;">
							<c:forEach items="${ question.answers }" var="answer">
								<c:if test="${ answer.correct eq false }">
									<li>
										<c:out value="${ answer.answer }" escapeXml="false"/>
										<c:if test="${ answer.text ne null }"><br/><span class="error"><c:out value="${ answer.textHTML }" escapeXml="false"/></span></c:if>
									</li>
								</c:if>
							</c:forEach>
							</ul>
						</td>
					</tr>
				</c:when>
				<c:when test="${ question.type eq TOQuestion.TYPE_MATCH }">
					<c:forEach items="${ question.answers }" var="answer" varStatus="count">
					<tr>
						<td class="left br" width="150"><bean:message key="test.review.MA.answer" bundle="Students"/>: ${ count.index + 1 }</td>
						<td class="left">
							<c:out value="${ answer.text1 }" escapeXml="false"/> 
							<img src="<html:rewrite page="/res/img/web/icon_match.png"/>" width="16" height="16" alt="" style="vertical-align: middle; margin: 0 10px;"/>
							<c:out value="${ answer.text2 }" escapeXml="false"/>
							<c:if test="${ answer.explain ne null }"><br/><span class="explain"><c:out value="${ answer.explainHTML }" escapeXml="false"/></span></c:if>
						</td>
					</tr>
					</c:forEach>
				</c:when>
			</c:choose>	
		</c:forEach>
		</table>
		<script type="text/javascript">
			$('#data tr:last').children('td').css('border-bottom','0');
		</script>
		</td>
	</tr>
	</table>
	</div>
	<jsp:include page="/WEB-INF/common/inc/Data-Info.inc.jsp"/>
</div>