package edu.uoc.pfc.business.exceptions;

/**
 * <p>Excepci&oacute;n que ser&aacute; lanzada cuando un usuario est&aacute; intentando
 * realizar alg&uacute;n tipo de operaci&oacute;n dentro del sistema pero su cuenta 
 * est&aacute; bloqueada (no est&aacute; activada).</p>
 * 
 * <p>Un ejemplo de situaci&oacute;n en la que se lanzar&iacute;a esta excepci&oacute;n
 * ser&iacute;a un intento de acceso a la aplicaci&oacute;n (login) por parte de un 
 * usuario que s&iacute; tiene una cuenta pero dicha cuenta no est&aacute; activada.</p>
 * 
 * @author Jos&eacute; Manuel &Aacute;lvarez &Aacute;lvarez
 * @version 1.0 
 */
public class AccountLockedException extends Exception 
{
	
	// ---------- CONSTANTES.
	/** <p>N&uacute;mero de serie por defecto para los objetos de esta clase.</p> */
	private static final long serialVersionUID = 1L;
	/** <p>El usuario tiene su cuenta bloquedad.</p> */
	public static final String ACCOUNT_LOCKED = "La cuenta de usuario esta bloqueada.";
	
	// -------- CONSTRUCTORES
	/**
	 * <p>Construye un objeto <code>AccountLockedException</code> asign&aacute;ndole como
	 * mensaje el <code>String</code> que se le pasa como parmetro.</p>
	 * 
	 * @param message <code>String</code> Mensaje de la excepci&oacute;n.
	 */
	public AccountLockedException(String message)
	{
		// Llamamos al constructor de la superclase pasndole el mensaje recibido.
		super(message);
	}
	
}
