package edu.uoc.pfc.business.exceptions;

/**
 * <p>Excepci&oacute;n que ser&aacute; lanzada cuando se intenta realizar una 
 * operaci&oacute;n sobre los datos almacenados por la capa de persistencia de 
 * tal manera que si se realizase se violar&iacute;a alguna de las reglas de 
 * negocio./p>
 * 
 * @author Jos&eacute; Manuel &Aacute;lvarez &Aacute;lvarez.
 * @version 1.0
 */
public class BusinessRulesViolationException extends Exception
{
	
	// -------- CONSTANTES.
	/** <p>N&uacute;mero de serie por defecto para los objetos de la clase.</p> */
	private static final long serialVersionUID = 1L;
	/** <p>Se intenta cambiar el estado del &uacute;nico administrador.</p> */
	public static final String MSG_ADMIN_CHANGE_STATE = "No se puede cambiar el " +
			"estado del unico administrador activo del sistema.";
	/** <p>No se puede cambiar el rol de administrador del &uacute;nico administrador
	 * del sistema.</p> */
	public static final String MSG_ADMIN_CHANGE_ROLE_ADMIN = "No se puede cambiar el " +
			"rol de administrador del nico administrador del sistema.";
	/** <p>Se intenta boorar la cuenta del &uacute;nico administrador del sistema.</p> */
	public static final String MSG_ADMIN_DELETE = "No se puede eliminar la cuenta " +
			"del unico administrador del sistema.";
	/** <p>Se intenta enviar un correo electr&oacute;nico recuperando el identificador
	 * de un usuario pero el env&iacute;o de correos est&aacute; deshabilitado.</p> */
	public static final String MSG_FORGOT_LOGIN = "No se puede recuperar el nombre del " +
			"usuaio debido a que no se pueden enviar emails dentro de la aplicacion.";
	/** <p>Se intenta enviar un correo electr&oacute;nico recuperando la contrase&ntilde;a
	 * de un usuario pero el env&ioacute; de correos est&aacute; dehabilitado.</p> */
	public static final String MSG_FORGOT_PASSWORD = "No se puede recuperar la contrasea " +
			"del usuario debido a que no se pueden enviar eamil dentro de la aplicacion.";
	/** <p>No se puede activar una cuenta si no tiene un rol asignado.</p> */
	public static final String MSG_MUST_HAVE_A_USER_TYPE = "No se puede activar la cuenta " +
			"hasta que no se le asigne un rol de usuario.";
	/** <p>El Profesor ya ha sido asigando como un Alumno al Aula.</p> */
	public static final String MSG_TEACHER_WAS_ASSIGNED_AS_STUDENT = "El Profesor ha sido " +
			"asignado al Aula como un Alumno.";
	/** <p>El Alumno ya ha sido asigando como el Profesor del Aula.</p> */
	public static final String MSG_STUDENT_WAS_ASSIGNED_AS_TEACHER = "El Alumno ha sido " +
			"asignado al Aula como Profesor.";
	/** <p>No existe un configuraci&oacute;n activa dentro de la aplicaci&oacute;n.</p> */
	public static final String MSG_NO_ACTIVE_CONFIGURATION = "No hay datos de la " +
			"configuracion activa";
	/** <p>Se intenta crear una pregunta de opci&oacute;n m&uacute;ltiple sin haber espeficado
	 * al menos dos opciones de respuesta.</p> */
	public static final String MSG_NO_ANSWERS_EXPECIFIED = "No se han especificado al menos " +
			"dos opciones de respuesta.";
	
	// -------- CONSTRUCTORES.
	/**
	 * <p>Construye un objeto <code>BusinessRulesViolation</code> y le asigna como
	 * mensaje de la causa del error el que recibe como par&aacute;metro.</p>
	 * 
	 * @param message <code>String</code> mensaje de error.
	 */
	public BusinessRulesViolationException(String message)
	{
		// Llamamos al constructor de la superclase.
		super(message);
	}

}
