package edu.uoc.pfc.business.exceptions;

/**
 * <p>Excepci&oacute;n que ser&aacute; lanzada por la capa de negocio
 * siempre que se produzca un error a la hora de acceder a la capa de 
 * persistencia.</p>
 * 
 * <p>Un ejemplo en el que se lanzar&aacute; esta excepci&oacute;n ser&iacute;a
 * en el caso de utilizar como framework de persistencia <i>Hibernate</i> y 
 * que &eacute;ste no pueda ser iniciado por la raz&oacute;n que sea.</p>
 *  
 * @author Jos&eacute; Manuel &Aacute;lvarez &Aacute;lvarez
 * @version 1.0 
 */
public class DataStoreException extends Exception 
{
	
	// -------- CONSTANTES.
	/** <p>N&uacute;mero de serie por defecto para los objetos de esta clase.</p> */
	private static final long serialVersionUID = 1L;
	
	// -------- CONSTRUCTORES.
	/**
	 * <p>Construye un objeto <code>DataStoreException</code> asign&aacute;ndole como
	 * mensaje el <code>String</code> que se le pasa como par&aacute;metro.</p>
	 * 
	 * @param message <code>String</code> Mensaje de la excepci&oacute;n.
	 */
	public DataStoreException(String message)
	{
		// Llamamos al constructor de la superclase.
		super(message);
	}

}
