package edu.uoc.pfc.business.exceptions;

/**
 * <p>Excepci&oacute;n que ser&aacute; lanzada cada vez que se quiera realizar
 * una operaci&oacute;n sobre una cuenta de usuario con un <i>nombre de usuario</i>
 * (login) inv&aacute;lido.</p>
 * 
 * <p>Un ejemplo de situaci&oacute;n en la que se lanzar&aacute; esta excepci&oacute;n
 * ser&aacute; cuando se intenta acceder a una cuenta de usuario con unos credenciales
 * de acceso que no se corresponden con los de una cuenta registrada en el sistema.</p>
 * 
 * @author Jos&eacute; Manuel &Aacute;lvarez &Aacute;lvarez
 * @version 1.0 
 */
public class DuplicatedFieldException extends Exception 
{
	
	// -------- CONSTANTES.
	/** <p>N&uacute;mero de serie por defecto para los objetos de esta clase.</p> */
	private static final long serialVersionUID = 1L;
	/** <p>Mensaje asociado al error "login duplicado".</p> */
	public static final String MSG_LOGIN_DUPLICATED = "Login duplicado";
	/** <p>Mensaje asociado al error "email duplicado".</p> */
	public static final String MSG_EMAIL_DUPLICATED = "Email duplicado";
	/** <p>Mensaje asociado al error "nombre de asignatura duplicado".</p> */
	public static final String MSG_SUBJECT_NAME_DUPLICATED = "Nombre de Asignatura duplicado";
	/** <p>Mensaje asociado al error "ya existe el plan de estudios".</p> */
	public static final String MSG_CURRICULUM_DUPLICATED = "El Plan de Estudios ya ha sido " +
			"registrado anteriormente";
	/** <p>Mensaje asociado al error "Asignaci&opacute;n de asignatura a plan de estudios ya realizada".</p> */
	public static final String MSG_SUBJECT_CURRICULUM_DUPLICATED = "La Asignatura ya ha sido " +
			"asignada al Plan de Estudios anteriormente";
	/** <p>Mensaje asociado el error "Aula ya creada".</p> */
	public static final String MSG_CLASSROOM_DUPLICAD = "El Aula ya ha sido creada anteriormente";
	/** <p>Mensaje asociado al error "Categor&iacute;a de Preguntas ya creada".</p> */
	public static final String MSG_QUESTION_CATEGORY_DUPLICATED = "Ya existe una Categoria de Preguntas con " +
			"el nombre que se ha facilitado.";
	/** <p>Mensaje asociado al error "Pregunta ya existente".</p> */
	public static final String MSG_QUESTION_DUPLICATED = "Ya existe un Pregunta con el mismo titulo " +
			"dentro de la Categoria de Preguntas.";
	/** <p>Mensaje asociado al error "Cuestionario ya existente."</p> */
	public static final String MSG_TEST_DUPLICATED = "Ya existe un Cuestionario con el mismmo titulo.";
	
	// -------- CONSTRUCTORES
	/**
	 * <p>Construye un objeto <code>InvalidLoginException</code> asign&aacute;ndole como
	 * mensaje el <code>String</code> que se le pasa como parmetro.</p>
	 * 
	 * @param message <code>String</code> Mensaje de la excepci&oacute;n.
	 */
	public DuplicatedFieldException(String message)
	{
		// Llamamos al constructor de la superclase pasndole el mensaje recibido.
		super(message);
	}
	
}
