package edu.uoc.pfc.business.exceptions;

/**
 * <p>Excepci&oacute;n que ser&aacutE; lanzada siempre que se est&eeacute; realizando
 * una operaci&oacute;n sobre un objeto del modelo que posee un identificador que no
 * se corresponde con el de ninguno de los objetos guardados en el marco de 
 * persistencia (por ejemplo, cuando el identificador que se le pasa a una consulta
 * no corresponde con el de ninguno de los objetos registrados).
 * 
 * @author Jos&eacute; Manuel &Aacute;lvarez &Aacute;lvarez
 * @version 1.0 
 */
public class InvalidIdException extends Exception {
	
	// -------- CONSTANTES.
	/** <p>N&uacute;mero de serie por defecto para los objetos de esta clase.</p> */
	private static final long serialVersionUID = 1L;
	/** <p>Mensaje asociado al error "identificador de usuario inv&aacute;lido.</p> */
	public static final String MSG_INVALID_USER_ID = "Identificador de usuario incorrecto.";
	/** <p>Mensaje asociado al error "identificador de profesor inv&aacute;lido.</p> */
	public static final String MSG_INVALID_TEACHER_ID = "Identificador de profesor incorrecto.";
	/** <p>Mensaje asociado al error "identificador de alumno inv&aacute;lido.</p> */
	public static final String MSG_INVALID_STUDENT_ID = "Identificador de alumno incorrecto.";
	/** <p>Mensaje asociado al error "identificador de asignatura inv&aacute;lido.</p> */
	public static final String MSG_INVALID_SUBJECT_ID = "Identificador de asignatura incorrecto.";
	/** <p>Mensaje asociado al error "identificador de Plan de Estudios inv&aacute;lido.</p> */
	public static final String MSG_INVALID_CURRICULUM_ID = "Identificador de Plan de Estudios incorrecto.";
	/** <p>Mensaje asociado al error "no se ha asignado la Asignatura al Plan de Estudios.</p> */
	public static final String MSG_INVALID_SUBJECT_ASSIGN_CURRICULUM = "La Asignatura no esta " +
			"asignada al Plan de Estudios.";
	/** <p>Mensaje asociado al error "no existe el Aula".</p> */
	public static final String MSG_INVALID_CLASSROOM_ID = "Identificador de Aula incorrecto.";
	/** <p>Mensaje asociado al error "categor&iacute; de preguntas incorrecta".</p> */
	public static final String MSG_INVALID_QUESTION_CATEGORY_ID = "Identificador de Categoria de " +
			"Preguntas incorrecto.";
	/** <p>Mensaje asociado al error "Identificador de Pregunta incorrecto".</p> */
	public static final String MSG_INVALID_QUESTION_ID = "Identificador de Pregunta incorrecto.";
	/** <p>Mensaje asociado al error "no existe la cuenta de usuario".</p> */
	public static final String MSG_NO_USER_ACCOUNT = "No existe la cuenta del usuario.";
	/** <p>Mensaje asociado al error "Identificador de Cueationario incorrecto.</p> */
	public static final String MSG_INVALID_TEST_ID = "Identificador de Cuestionario incorrecto.";
	
	// -------- CONSTRUCTORES.
	/**
	 * <p>Construye un objeto <code>InvalidIdException</code> asign&aacute;ndole como
	 * mensaje el <code>String</code> que se le pasa como par&aacute;metro.</p>
	 * 
	 * @param message <code>String</code> Mensaje de la excepci&oacute;n.
	 */
	public InvalidIdException(String message)
	{
		super(message);
	}
	
}
