package edu.uoc.pfc.business.transfers;

import java.io.Serializable;

/**
 * <p>Clase que recoge la informaci&oacute;n de las Estad&iacute;stidicas de las Respuestas
 * dadas por lo Alumnos a las Preguntas de los Cuestionarios.</p>
 * 
 * @author Jos&eacute; Manuel &Aacute;lvarez &Aacute;lvarez
 * @version 1.0
 */
public class TOTestAnswerStats implements Serializable 
{
	
	// -------- CONSTANTES.
	/** <p>N&uacute;mero de serie por defecto para los objetos de la clase.</p> */
	private static final long serialVersionUID = 1L;
	
	// -------- ATRIBUTOS.
	/** <p>Indica si el Alumno ha aprobado o no.</p> */
	private boolean pass;
	/** <p>Nota final.</p> */
	private String finalScore;
	/** <p>Puntuaci&oacute;n obtenida.</p> */
	private double score;
	/** <p>Puntuaci&oacute;n m&aacute;xima del Cuestionario.</p> */
	private double maxScore;
	
	// -------- CONSTRUCTORES.
	/**
	 * <p>Construye un objeto <code>TOTestAnswerStats</code> a partir de la informaci&oacute;n 
	 * que se le pasa como par&aacute;metro.</p>
	 * 
	 * @param pass <code>boolean</code> <code>true</code> si se ha aprobado el Cuestionario o
	 * <code>false</code> en caso contrario.
	 * @param finalScore <code>String</code> nota final en el Cuestionario.
	 * @param score <code>double</code> puntuaci&oacute;n obtenida en el Cuestionario.
	 * @param maxScore <code>double</code> m&aacute;xima puntuaci&oacute;n en el Cuestionario.
	 */
	public TOTestAnswerStats(boolean pass, String finalScore, double score, double maxScore)
	{
		// Llamamos al constructor de la superclase.
		super();
		// Asignamos los valores a los atributos.
		this.pass = pass;
		this.finalScore = finalScore;
		this.score = score;
		this.maxScore = maxScore;
	}
	
	// -------- GETTERS & SETTERS.
	public boolean isPass() 
	{
		return pass;
	}
	public void setPass(boolean pass) 
	{
		this.pass = pass;
	}
	public String getFinalScore() 
	{
		return finalScore;
	}
	public void setFinalScore(String finalScore) 
	{
		this.finalScore = finalScore;
	}
	public double getScore() 
	{
		return score;
	}
	public void setScore(double score) 
	{
		this.score = score;
	}
	public double getMaxScore() 
	{
		return maxScore;
	}
	public void setMaxScore(double maxScore) 
	{
		this.maxScore = maxScore;
	}
	
}
