package edu.uoc.pfc.business.transfers;

import java.io.Serializable;

/**
 * <p>Modela la relaci&oacute;n que existe entre las Preguntas de los Test y los 
 * Cuestionarios que los diferentes Profesores crean en el sistema.</p>
 * 
 * @author Jos&eacute; Manuel &Aacute;lvarez &Aacute;lvarez
 * @version 1.0 
 */
public class TOTestQuestion implements Serializable 
{
	
	// -------- CONSTANTES.
	/** <p>N&uacute;mero de serie por defecto para los objetos de esta clase.</p> */
	private static final long serialVersionUID = 1L;
	
	// -------- ATRIBUTOS.
	/** <p>Identificador de la relaci&oacute;n.</p> */
	private int id;
	/** <p>La Pregunta que pertenece al Test.</p> */
	private TOQuestion question;
	/** <p>El valor que tiene asociado la Pregunta.</p> */
	private double value;
	
	// -------- CONSTRUCTORES.
	/**
	 * <p>Construye un objeto <code>TOTestQuestion</code> a partir de la informaci&oacute;n que se le pasa
	 * como par&aacute;metro.</p>
	 * 
	 * @param id <code>int</code> identificador de la asociaci&oacute;n de la pregunta y del Cuestionario.
	 * @param value <code>double</code> valor de la pregunta dentro del Cuestionario.
	 * @param question <code>TOQuestion</code> informaci&oacute;n de la Pregunta.
	 */
	public TOTestQuestion(int id, double value, TOQuestion question)
	{
		// Llamamos al constructor de la superclase.
		super();
		// Asignamos los valores de los atributos.
		this.id = id;
		this.value = value;
		this.question = question;
	}
	
	// -------- GETTERS & SETTERS.
	public int getId() 
	{
		return id;
	}
	public void setId(int id) 
	{
		this.id = id;
	}
	public TOQuestion getQuestion() 
	{
		return question;
	}
	public void setQuestion(TOQuestion question) 
	{
		this.question = question;
	}
	public double getValue() 
	{
		return value;
	}
	public void setValue(double value) 
	{
		this.value = value;
	}	
	
}
