package edu.uoc.pfc.lib.constants;

/**
 * <p>Clase en la que se definen una serie de constantes que definen las URLs de las
 * diferentes transacciones de la aplicaci&oacute;n.</p>
 * 
 * @author Jos&eacute; Manuel &Aacute;lvarez &Aacute;lvarez
 * @version 1.0 
 */
public class CTLinks 
{
	
	public static final String CURRICULUM_LIST_PARAM_PAGE = "listPlan";
	public static final String CURRICULUM_LIST_PARAMS = "?sec=admin&page=listPlan";
	public static final String CURRICULUM_CREATE_PARAM_PAGE = "createPlan";
	public static final String CURRICULUM_CREATE_JSP = "index.jsp?sec=admin&page=createPlan";
	public static final String CURRICULUM_CREATE_PARAMS = "?sec=admin&page=createPlan";
	public static final String CURRICULUM_GET_PARAM_PAGE = "getPlan";
	public static final String CURRICULUM_GET_PARAMS = "?sec=admin&page=getPlan";
	public static final String CURRICULUM_MODIFY_PARAM_PAGE = "modifyPlan";
	public static final String CURRICULUM_MODIFY_PARAMS = "?sec=admin&page=modifyPlan";
	public static final String CURRICULUM_ADD_SUBJECT_PARAM_PAGE = "addSubject";
	public static final String CURRICULUM_ADD_SUBJECT_PARAMS = "?sec=admin&page=addSubject";
	
	public static final String SUBJECT_CREATE_PARAM_PAGE = "createSubject";
	public static final String SUBJECT_CREATE_PARAMS = "?sec=admin&page=createSubject";
	public static final String SUBJECT_LIST_PARAM_PAGE = "subjectList";
	public static final String SUBJECT_LIST_PARAMS = "?sec=admin&page=subjectList";
	public static final String SUBJECT_MODIDIFY_PARAM_PAGE = "modifySubject";
	public static final String SUBJECT_MODIFY_PARAMS = "?sec=admin&page=modifySubject";
	public static final String SUBJECT_DATA_PARAM_PAGE = "subjectData";
	public static final String SUBJECT_DATA_PARAMS = "?sec=admin&page=subjectData";
	public static final String SUBJECT_ADD_CURRICULUM_PARAM_PAGE = "addCurriculum";
	public static final String SUBJECT_ADD_CURRICULUM_PARAMS = "?sec=admin&page=addCurriculum";
	
	public static final String CLASSROOM_CREATE_PARAM_PAGE = "createClassroom";
	public static final String CLASSROOM_CREATE_PARAMS = "?sec=admin&page=createClassroom";
	public static final String CLASSROOM_CREATE_JSP = "classroom.do?cmd=createClassroom";
	public static final String CLASSROOM_LIST_PARAM_PAGE = "listClassroom";
	public static final String CLASSROOM_LIST_PARAMS = "?sec=admin&page=listClassroom";
	public static final String CLASSROOM_DATA_PARAM_PAGE = "classroomData";
	public static final String CLASSROOM_DATA_PARAMS = "?sec=admin&page=classroomData";
	public static final String CLASSROOM_ASSIGN_PARAM_PAGE = "classroomAssign";
	public static final String CLASSROOM_ASSIGN_PARAMS = "?sec=admin&page=classroomAssign";
	public static final String CLASSROOM_LIST_TEACHER_PARAM_PAGE = "listClassroomTeacher";
	public static final String CLASSROOM_LIST_TEACHER_PARAMS = "?sec=teacher&page=listClassroomTeacher";
	public static final String CLASSROOM_DATA_TEACHER_PARAM_PAGE = "getClassroomTeacher";
	public static final String CLASSROOM_DATA_TEACHER_PARAMS = "?sec=teacher&page=getClassroomTeacher";
	public static final String CLASSROOM_DATA_ADD_TEST_PARAM_PAGE = "addTest";
	public static final String CLASSROOM_DATA_ADD_TEST_PARAMS = "?sec=teacher&page=addTest";
	public static final String CLASSROOM_LIST_STUDENT_PARAM_PAGE = "listClassroomStudent";
	public static final String CLASSROOM_LIST_STUDENT_PARAMS = "?sec=student&page=listClassroomStudent";
	public static final String CLASSROOM_DATA_STUDENT_PARAM_PAGE = "getClassroomStudent";
	public static final String CLASSROOM_DATA_STUDENT_PARAMS = "?sec=student&page=getClassroomStudent";
	
	public static final String CONFIGURATION_DATA_PARAM_PAGE = "configurationData";
	public static final String CONFIGURATION_DATA_PARAMS = "?sec=admin&page=configurationData";
	
	public static final String QUESTION_BANK_CATEGORY_LIST_PARAM_PAGE = "listCategories";
	public static final String QUESTION_BANK_CATEGORY_LIST_PARAM = "?sec=teacher&page=listCategories";
	public static final String QUESTION_BANK_CATEGORY_ADD_PARAM_PAGE = "createCategory";
	public static final String QUESTION_BANK_CATEGORY_ADD_PARAMS = "?sec=teacher&page=createCategory";
	public static final String QUESTION_BANK_CATEGORY_MODIFY_PARAM_PAGE = "modifyCategory";
	public static final String QUESTION_BANK_CATEGORY_MODIFY_PARAMS = "?sec=teacher&page=modifyCategory";
	public static final String QUESTION_BANK_CATEGORY_DATA_PARAM_PAGE = "getCategory";
	public static final String QUESTION_BANK_CATEGORY_DATA_PARAMS = "?sec=teacher&page=getCategory";
	
	public static final String QUESTION_CHOOSE_TYPE_PARAM_PAGE = "chooseType";	
	public static final String QUESTION_CHOOSE_TYPE_PARAMS = "?sec=teacher&page=chooseType";
	public static final String QUESTION_CHOOSE_TYPE_JSP = "index.jsp?sec=teacher&page=chooseType";
	public static final String QUESTION_CREATE_PARAM_PAGE = "createQuestion";
	public static final String QUESTION_CREATE_PARAMS = "?sec=teacher&page=createQuestion";
	public static final String QUESTION_MODIFY_PARAM_PAGE = "modifyQuestion";
	public static final String QUESTION_MODIFY_PARAMS = "?sec=teacher&page=modifyQuestion";
	public static final String QUESTION_DATA_PARAM_PAGE = "getQuestion";
	public static final String QUESTION_DATA_PARAMS = "?sec=teacher&page=getQuestion";
	
	public static final String TEST_LIST_PARAM_PAGE = "listTest";
	public static final String TEST_LIST_PARAMS = "?sec=teacher&page=listTest";
	public static final String TEST_CREATE_PARAM_PAGE = "createTest";
	public static final String TEST_CREATE_PARAMS = "?sec=teacher&page=createTest";
	public static final String TEST_MODIFY_PARAM_PAGE = "modifyTest";
	public static final String TEST_MODIFY_PARAMS = "?sec=teacher&page=modifyTest";
	public static final String TEST_DATA_PARAM_PAGE = "getTest";
	public static final String TEST_DATA_PARAMS = "?sec=teacher&page=getTest";
	public static final String TEST_ADD_QUESTION_PARAM_PAGE = "addQuestion";
	public static final String TEST_ADD_QUESTION_PARAMS = "?sec=teacher&page=addQuestion";
	public static final String TEST_SOLVE_PARAM_PAGE = "solveTest";
	public static final String TEST_SOLVE_PARAMS = "?sec=student&page=solveTest";
	public static final String TEST_REVIEW_PARAM_PAGE = "reviewTest";
	public static final String TEST_REVIEW_PARAMS = "?sec=student&page=reviewTest";
	public static final String TEST_STATS_LIST_PARAM_PAGE = "testStatsList";
	public static final String TEST_STATS_LIST_PARAMS = "?sec=teacher&page=testStatsList";
	public static final String TEST_STATS_DATA_PARAM_PAGE = "testStatsData";
	public static final String TEST_STATS_DATA_PARAMS = "?sec=teacher&page=testStatsData";
	
}
