package edu.uoc.pfc.lib.constants;

/**
 * <p>Interfaz en la cual definiremos una serie de constantes que ser&aacute;n 
 * utilizadas por la capa de presentaci&oacute;n de la aplicaci&oacute;n.</p>
 * 
 * @author Jos&eacute; Manuel &Aacute;lvarez &Aacute;lvarez
 * @version 1.0 
 */
public interface CTPresentation
{
	
	// -------- CONSTANTES.
	/** <p>Clave para la implementaci&oacute;n de <code>IBConfigManager</code>.</p> */
	public static final String IB_CONFIG_MANAGER_KEY = "IBConfigManager";
	/** <p>Clave para la implementaci&oacute;n de <code>IBCurriculumManager</code>.</p> */
	public static final String IB_CURRICULUM_MANAGER_KEY = "IBCurriculumManager";
	/** <p>Clave para la implementaci&oacute;n de <code>IBAccountManager</code>.</p> */
	public static final String IB_ACCOUNT_MANAGER_KEY = "IBAccountManager";
	/** <p>Clave para la implementaci&oacute;n de <code>IBSubjectManager</code>.</p> */
	public static final String IB_SUBJECT_MANAGER_KEY = "IBSubjectManager";
	/** <p>Clave para la implementaci&oacute;n de <code>IBClassroomManager</code>.</p> */
	public static final String IB_CLASSROOM_MANAGER_KEY = "IBClassroomManager";
	/** <p>Clave para la implementaci&oacute;n de <code>IBQuestionManager</code>.</p> */
	public static final String IB_QUESTION_BANK_MANAGER_KEY = "IBQuestionBankManager";
	/** <p>Clave para la implementaci&oacute;n de <code>IBTestManager</code>.</p> */
	public static final String IB_TEST_MANAGER_KEY = "IBTestManager";
	
	
	/** <p>Clave donde se almacena la configuraci&oacute;n activa de la aplicaci&oacugte;n.</p> */
	public static final String ACTIVE_CONFIGURATION_KEY = "active_configuration";
	/** <p>Clave de HttpSession donde se almacenar&aacute; el n&uacute;mero de intentos de login.</p> */
	public static final String LOGIN_ATTEMPTS = "login_attempts";
	/** <p>Clave de HttpSession donde se indicar&aacute; que no quedan m&aacute;s intentos de acceso.</p> */
	public static final String NO_MORE_LOGIN_ATTEMPTS = "no_more_login_attempts";
	/** <p>Clase de HttpSession donde se almacer&aacute; la informaci&oacute;n del usuario.</p> */
	public static final String USER = "user_info";
	/** <p>Clave de la HttpSession donde se almacenar&aacute;a el Cuestionario que se est&aacute; contestando.</p> */
	public static final String TEST = "current_test";
	
}
