package edu.uoc.pfc.lib.constants;

/**
 * <p>Clase en la que se definen una serie de constantes que ser&aacute;n utilizadas
 * por <i>Struts</i> para su correcto funcionamiento dentro de la aplicaci&oacute;n.
 * (Son par&aacute;metros propios de la aplicaci&oacute;n, no de Struts)</p>
 * 
 * @author Jos&eacute; Manuel &Aacute;lvarez &Aacute;lvarez
 * @version 1.0
 */
public class CTStruts 
{
	
	// -------- CONSTANTES.
	/** <p>Uacute;nico lt;global-formward&gt; de la aplicaci&oacute;n.</p> */
	public static final String GLOBAL_FORWARD_INDEX = "Index";
	
	/** <p>Editar el perfil de un usuario.</p> */
	public static final String PARAMS_ALL_USERS_EDIT_ACCOUNT = "?page=editAccount";
	
	/** <p>Creaci&oacute;n de una nueva cuenta de usuario. (Administrador)</p> */
	public static final String PARAMS_ADMIN_USER_FORM = "?sec=admin&page=formAccount";
	/** <p>Listado de las cuentas de usuario. (Administrador)</p> */
	public static final String PARAMS_ADMIN_USER_LIST = "?sec=admin&page=listAccount";
	/** <p>Informaci&oacute;n de un usuario. (Administrador) */
	public static final String PARAMS_ADMIN_USER_INFO = "?sec=admin&page=userInfo";
	/** <p>Recuperar el  nombre de usuario. (Cualquier usuario del sistema)</p> */
	public static final String PARAMS_PUBLIC_FORGOT_LOGIN = "?page=forgotLogin";
	/** <p>Recuperar la contrase&ntilde;a del usuario. (Cualquier usuario del sistema)</p> */
	public static final String PARAMS_PUBLIC_FORGOT_PASSWORD = "?page=forgotPassword";
	/** <p>Salir de una cuenta de usuario. (Cualquier usuario del sistema)</p> */
	public static final String PARAMS_PUBLIC_SIGNOUT = "?page=signout";
	/** <p>Acceder a una cuenta del sistema: login. (Cualquier usuario del sistema)</p> */
	public static final String PARAMS_PUBLIC_SIGNIN = "?page=signin";
	/** <p>Crear una cuenta de usuario. (Cualquier usuario del sistema)</p> */
	public static final String PARAMS_PUBLIC_SIGNUP = "?page=signup";
	
	/** <p>Clave para la transacci&oacute;n: "Listado de Planes de Estudio".</p> */
	public static final String CP_TRANSACTION_CURRICULUM_LIST = "curriculum.list";
	/** <p>Clave para la transacci&oacute;n: "Crear un Plan de Estudios".</p> */
	public static final String CP_TRANSACTION_CURRICULUM_CREATE = "curriculum.create";
	/** <p>Clave para la transacci&oacute;n: "Eliminar un Plan de Estudios.</p> */
	public static final String CP_TRANSACTION_CURRICULUM_DELETE = "curriculum.delete";
	/** <p>Clave para la transacci&oacute;n: "Consultar Plan de Estudios".</p> */
	public static final String CP_TRANSACTION_CURRICULUM_GET = "curriculum.get";
	/** <p>Clave para la trasacci&oacute;n: "Modificar Plan de Estudios".</p> */
	public static final String CP_TRANSACTION_CURRICULUM_MODIFY = "curriculum.modify";
	/** <p>Clave para la trasacci&oacute;n: "Asignar una Asignatura".</p> */
	public static final String CP_TRANSACTION_CURRICULUM_ADD_SUBJECT = "curriculum.add.subject";
	/** <p>Clave para la transacci&oacute;n: "Desasignar una Asignatura".</p> */
	public static final String CP_TRANSACTION_CURRICULUM_REMOVE_SUBJECT = "curriculum.remove.subject";
		
	/** <p>Clave para la transacci&oacute;: "Listado de las Aulas".</p> */
	public static final String CP_TRANSACTION_CLASSROOM_LIST = "classroom.list";
	/** <p>Clave para la transacci&oacute;n: "Crear un Aula".</p> */
	public static final String CP_TRANSACTION_CLASSROOM_CREATE = "classroom.create";
	/** <p>Clave para la transacci&oacute;n: "Modificar un Aula".</p> */
	public static final String CP_TRANSACTION_CLASSROOM_MODIFY = "classroom.modify";
	/** <p>Clave para la transacci&oacute;n: "Asignar un Profesor a un Aula.</p> */
	public static final String CP_TRANSACTION_CLASSROOM_ASSIGN_TEACHER = "classroom.assign.teacher";
	/** <p>Clave para la transacci&oacute;n: "Desasignar un Profesor a un Aula.</p> */
	public static final String CP_TRANSACTION_CLASSROOM_UNASSIGN_TEACHER = "classroom.unassign.teacher";
	/** <p>Clave para la transacci&oacute;n: "Asignar un Alumno a un Aula.</p> */
	public static final String CP_TRANSACTION_CLASSROOM_ASSIGN_STUDEMT = "classroom.assign.student";
	/** <p>Clave para la transacci&oacute;n: "Deasignar un Alumno a un Aula.</p> */
	public static final String CP_TRANSACTION_CLASSROOM_UNASSIGN_STUDENT = "classroom.unassign.student";
	/** <p>Clave para la transacci&oacute;n: "Eliminar un Aula".</p> */
	public static final String CP_TRANSACTION_CLASSROOM_DELETE = "classroom.delete";
	/** <p>Clave para la transacci&oacute;n: "Obtener Aulas de un Profesor".</p> */
	public static final String CP_TRANSACTION_CLASSROOM_LIST_TEACHER = "classroom.list.teacher";
	/** <p>Clave para la trasacci&oacute;n: "Obtener detalles de un Aula de un Profesor.</p> */
	public static final String CP_TRANSACTION_CLASSROOM_DATA_TEACHER = "classroom.data.teacher";
	/** <p>Clave para la transacci&oacute;n: "Asignar un Cuestionario a un Aula.</p> */
	public static final String CP_TRANSACTION_CLASSROOM_ADD_TEST = "classroom.add.test";
	/** <p>Clave para la transacci&oacute;n: "Desasignar un Cuestionario de un Aula.</p> */
	public static final String CP_TRANSACTION_CLASSROOM_REMOVE_TEST = "classroom.remove.test";
	/** <p>Clave para la transacci&oacute;n: "Obtener Aulas de un Estudiante".</p> */
	public static final String CP_TRANSACTION_CLASSROOM_LIST_STUDENT = "classroom.list.student";
	/** <p>Clave para la transacci&oacute;n: "Obtener detalles de un Aula de un Estudiante.</p> */
	public static final String CP_TRANSACTION_CLASSROOM_DATA_STUDENT = "classroom.data.student";
	
	/** <p>Clave dentro de "Common.properties" que identifica a la transacci&oacute;n 
	 *  crear una cuenta (ejecutada por un administrador).</p> */
	public static final String CP_TRANSACTION_ACCOUNT_CREATE = "accounts.create";
	/** <p>Clave dentro de "Common.properties" que identifica a la transacci&oacute;n 
	 *  cambiar estado de un cuenta (ejecutada por un administrador).</p> */
	public static final String CP_TRANSACTION_ACCOUNT_CHANGE_STATE = "accounts.change.state";
	/** <p>Clave dentro de "Common.properties" que identifica a la transacci&oacugte;n
	 * eliminar una cuenta del sistema (ejecutada por un administrador).</p> */
	public static final String CP_TRANSACTION_ACCOUNT_DELETE = "accounts.delete";
	/** <p>Clave dentro de "Common.properties" que identifica a la transacci&oacute;n
	 * recuperar nombre de usuario (ejecutada por cualquier usuario).</p> */
	public static final String CP_TRANSACTION_ACCOUNT_FORGOT_LOGIN = "accounts.forgot.login";
	/** <p>Clave dentro de "Common.properties" que identifica a la transacci&oacute;n
	 * recuperar contrase&ntilde;a de usuario (ejecutada por cualquier usuario).</p> */
	public static final String CP_TRANSACTION_ACCOUNT_FORGOT_PASSWORD = "accounts.forgot.password";
	/** <p>Clave dentro de "Common.properties" que identifica a la transacci&oacute;n
	 * que permite recuperar la informaci&oacute;n de una cuenta (ejecutada por un administrador).</p> */
	public static final String CP_TRANSACTION_ACCOUNT_GET = "accounts.get";
	/** <p>Clave dentro de "Common.properties" que identifica a la transacci&oacute;n
	 * para la mofificaci&oacute;n de una cuenta de usuario (ejecutada por un administrador).</p> */
	public static final String CP_TRANSACTION_ACCOUNT_MODIFY = "accounts.modify";
	/** <p>Clave dentro de "Common.properties" que identifica a la transacci&oacute;n
	 * para la modificaci&oacute;n del perfil del usuario (ejecutada por cualquier usuario).</p> */
	public static final String CP_TRANSACTION_ACCOUNT_EDIT = "accounts.edit";
	/** <p>Clave dentro de "Common.properties" que identifica a la transacci&oacute;n
	 * para obtener la lista de todas las cuentas que est&aacute;n registradas en el sistema 
	 * (ejecutada por un administrador).</p> */
	public static final String CP_TRANSACTION_ACCOUNT_LIST = "accounts.list";
	/** <p>Clave dentro de "Common.properties" que identifica a la transacci&oacute;n para
	 * acceder a la cuenta de un usuario. (ejecutada por cualquier usuario). */
	public static final String CP_TRANSACTION_ACCOUNT_SIGNIN = "accounts.signin";
	/** <p>Clave dentro de "Common.properties" que identifica a la transacci&oacute;n para 
	 * la petici&oacute;n de creaci&oacute;n de una cuenta en el sistema. (ejecutada por 
	 * cualquier usuario).</p> */
	public static final String CP_TRANSACTION_ACCOUNT_SINGUP = "accounts.signup";
		
	/** <p>Clave para la transacci&oacute;n: "Crear una asignatura".</p> */
	public static final String CP_TRANSACTION_SUBJECT_CREATE = "subject.create";
	/** <p>Clave para la transacci&oacute;n: "Borrar una asignatura".</p> */
	public static final String CP_TRANSACTION_SUBJECT_DELETE = "subject.delete";
	/** <p>Clave para la transacci&oacute;n: "Obtener lista de asignatura".</p> */
	public static final String CP_TRANSACTION_SUBJECT_LIST = "subject.list";
	/** <p>Clave para la transacci&oacute;n: "Obtener datos de una asignatura".</p> */
	public static final String CP_TRANSACTION_SUBJECT_DATA = "subject.data";
	/** <p>Clave para la transacci&oacute;n: "Modificar una asignatura".</p> */
	public static final String CP_TRANSACTION_SUBJECT_MODIFY = "subject.modify";
	/** <p>Clave para la transacci&oacute;n: "Asignar Asignatura a Plan de Estudios".</p> */
	public static final String CP_TRANSACTION_SUBJECT_ADD_CURRICULUM = "subject.add.curriculum";
	/** <p>Clave para la transacci&oacute;n: "Desasignat Asignatura de un Plan de Estudios."</p> */
	public static final String CP_TRANSACTION_SUBJET_REMOVE_CURRICULUM = "subject.remove.curriculum";
	
	/** <p>Clave para la transacci&oacute;n: "Modificar la configuari&oacute;n".</p> */
	public static final String CP_TRANSACTION_CONFIGURATION_MODIFY = "configuration.modify";
	
	/** <p>Clave para la transacci&oacute;n: "Listar Categor&iacute;as de Preguntas".</p> */
	public static final String CP_TRANSACTION_QUESTION_CATEGORY_LIST = "question.category.list";
	/** <p>Clave para la transacci&oacute;n: "Crear una Categor&iacute;a de Preguntas".</p> */
	public static final String CP_TRANSACTION_QUESTION_CATEGORY_ADD = "question.category.add";
	/** <p>Clave para la transacci&oacute;n: "Borrar una Categor&iacute;a de Preguntas".</p> */
	public static final String CP_TRANSACTION_QUESTION_CATEGORY_DELETE = "question.category.delete";
	/** <p>Clave para la transacci&oacute;n: "Modificar una Categor&iacute;a de Preguntas".</p> */
	public static final String CP_TRANSACTION_QUESTION_CATEGORY_MODIFY = "question.category.modify";
	/** <p>Clave para la transacci&oacute;n: "Obtener datos de una Categor&iacute;a de Preguntas".</p> */
	public static final String CP_TRANSACTION_QUESTION_CATEGORY_DATA = "question.category.data";
	/** <p>Clave para la transacci&oacute;n: "Crear una nueva Pregunta".</p> */
	public static final String CP_TRANSACTION_QUESTION_CREATE = "question.create";
	/** <p>Clave para la transacci&oacute;n: "Eliminar una Pregunta".</p> */
	public static final String CP_TRANSACTION_QUESTION_DELETE = "question.delete";
	/** <p>Clave para la transacci&oacute;n: "Modificar una Pregunta".</p> */
	public static final String CP_TRANSACTION_QUESTION_MODIFY = "question.modify";
	/** <p>Clave para la transacci&oacute;n: "Datos de una Pregunta".</p> */
	public static final String CP_TRANSACTION_QUESTION_DATA = "question.data";
	
	/** <p>Clave para la transacci&oacute;n: "Lista de Cuestionarios".</p> */
	public static final String CP_TRANSACTION_TEST_LIST = "test.list";
	/** <p>Clave para la transacci&oacute;n: "Crear un Cuestionario".</p> */
	public static final String CP_TRANSACTION_TEST_CREATE = "test.create";
	/** <p>Clave para la transacci&oacute;n: "Eliminar un Cuestionario".</p> */
	public static final String CP_TRANSACTION_TEST_DELETE = "test.delete";
	/** <p>Clave para la transacci&oacute;n: "Modificar un Cuestionario".</p> */
	public static final String CP_TRANSACTION_TEST_MODIFY = "test.modify";
	/** <p>Clave para la transacci&oacute;n: "Datos de un Cuestionario".</p> */
	public static final String CP_TRANSACTION_TEST_DATA = "test.data";
	/** <p>Clave para la transacci&oacute;n: "Asignar una pregunta a un Cuestionario".</p> */
	public static final String CP_TRANSACTION_ADD_QUESTION = "test.add.question";
	/** <p>Clave para la transacci&oacute;n: "Desasginar una Pregunta de un Cuestionario.</p> */
	public static final String CP_TRANSACTION_REMOVE_QUESTION = "test.remove.question";
	/** <p>Clave para la transacci&oacute;n: "Resolver un Cuestionario".</p> */
	public static final String CP_TRANSACTION_TEST_SOLVE = "test.solve";
	/** <p>Clave para la transacci&oacute;n: "Revisar un Cuestionario".</p> */
	public static final String CP_TRANSACTION_TEST_REVIEW = "test.review";
	/** <p>Clave para la transacci&oacute;n: "Estadsticas de todos los Cuestionarios.</p> */
	public static final String CP_TRANSACTION_TEST_STATS_LIST = "test.stats.list";
	/** <p>Clave para la transacci&oacute;n: "Estad&iacute;sticas de un Cuestionario.</p> */
	public static final String CP_TRANSACTION_TEST_STATS_DATA = "test.stats.data";
	
}
